
.namespace BlinkerTimer

counter = 0
currentnb = 0

function OnTimeOut()

	--on ferme le timer si l'unit concerné n'est plus active
	if self.currentut == nil or self.currentut.ParentEnabled==false then
		OPUnitFactory.CloseUnit(self)
		return
	end
	
	counter=counter+1
	
	
	self.currentut.Flags_Visible=not self.currentut.Flags_Visible
	
	--editorvisible est un paramétre obsoléte
	--self.currentut.Flags_EditorVisible=not self.currentut.Flags_EditorVisible
	if counter>currentnb then
		if currentnb ~= -1 then
			Finish()
		else
			counter = 0
		end
	end
	
end

function Finish()
	self.currentut.Flags_Visible=true
	
	--editorvisible est un paramétre obsoléte
	--self.currentut.Flags_EditorVisible=true
	if self.currentutnotify~=nil then
		self.currentutnotify.OnBlinkEnd()
	end
	OPUnitFactory.CloseUnit(self)
end

function SetVar(ut,dummy,nb,utnotify)
    --OPLog.Log('ut '..ut.Name)
	counter=0
    self.currentut=ut
    currentnb=nb
	self.currentutnotify=utnotify
    self.UnitNotify = unit(ut.Name..'BlinkerTimer')
    self.Start()
	
	--OPLog.Log("c'est partie nb "..currentnb.." "..self.Time)
end

